### Method

# GLib KeyFile get_string_list

since: 2.6

#### Declaration

    gchar**
    g_key_file_get_string_list (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      gsize* length,
      GError** error
    )

#### Description

Returns the values associated with `key` under `group_name`.

In the event the key cannot be found, `NULL` is returned and `error` is set to `G_KEY_FILE_ERROR_KEY_NOT_FOUND`. In the event that the `group_name` cannot be found, `NULL` is returned and `error` is set to `G_KEY_FILE_ERROR_GROUP_NOT_FOUND`.

Available since: 2.6

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gsize*`

  Return location for the number of returned strings, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

a `NULL`-terminated string array or `NULL` if the specified key cannot be found. The array should be freed with g_strfreev().

The array is `NULL`-terminated.
The length of the array is in the `length` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.